Bug 150043 - patch can't handle spaces in paths in patches
patch can't handle spaces in paths in patches
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: patch (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-01 16:36 EST by Robin Green
Modified: 2008-06-16 05:19 EDT (History)
1 user (show)

See Also:
Fixed In Version: F-9
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 05:19:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robin Green 2005-03-01 16:36:24 EST
Description of problem:
patch can't figure out the filename to patch when the path in the patch contains
a space character.

Version-Release number of selected component (if applicable):
patch-2.5.4-20

How reproducible:
Every time

Steps to Reproduce:
1. Try to patch a file with a patch containing spaces in the path, for example:

--- Eclipse SWT/gtk/org/eclipse/swt/widgets/TreeItem.java      28 Feb 2005
21:41:29 -0000      1.53
+++ Eclipse SWT/gtk/org/eclipse/swt/widgets/TreeItem.java      1 Mar 2005
20:44:02 -0000

Actual results:
No matter what number is passed to -p, I get:

missing header for unified diff at line 37 of patch
can't find file to patch at input line 37
Perhaps you used the wrong -p or --strip option?

Expected results:
successful patch
Comment 1 Matthew Miller 2006-07-10 17:27:29 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.